Referencia de APIResources / Resource
Create Resource
← Back to full API reference
POST
/v1/resourceAuth requiredResource endpoints let you create and maintain catalog items used across sales, purchasing, and inventory workflows.
- Validated by Zod schema: postResource.
Request details
Body fields
| Field | Required | Description |
|---|---|---|
| name | Yes | Type: string |
| description | No | Type: string |
| divisionId | No | Type: number |
| variantOf | No | Type: number |
| type | Yes | Enum-like validator generated by zodFromObj |
| relation | Yes | Enum-like validator generated by zodFromObj |
| unit | Yes | Type: string |
| priceStrategy | Yes | Enum-like validator generated by zodFromObj |
| costStrategy | No | Enum-like validator generated by zodFromObj |
| variation | No | Type: number |
| currency | No | Enum-like validator generated by zodFromObj |
| bulkVariation | No | Type: number |
| bulkVariationLabel | No | Type: string |
| bulkVariationMinQuantity | No | Type: number |
| canSellWithoutStock | No | Boolean parser helper from common/utils.zBooleanExample: true |
| canBeSold | No | Boolean parser helper from common/utils.zBooleanExample: true |
| followsInventory | No | Boolean parser helper from common/utils.zBooleanExample: true |
| requiresSerialNumbers | No | Boolean parser helper from common/utils.zBooleanExample: false |
| sku | No | Type: string |
| barCode | No | Type: string |
| minStockAlert | No | Type: number |
| maxStockAlert | No | Type: number |
| quantityDecimals | No | Type: numberExample: 0 |
| taxes | No | Type: arrayExample: |
| taxes[] | Yes | Type: object |
| taxes[].taxRateId | Yes | Type: number |
| defaultCost | No | Type: number |
| initialStock | No | Type: number |
| multimedia | No | Type: arrayExample: |
| multimedia[] | Yes | Type: object |
| multimedia[].url | Yes | Type: string |
| multimedia[].type | No | Type: enumExample: IMAGE |
| multimedia[].alt | No | Type: string |
| labels | No | Type: arrayExample: |
| labels[] | Yes | Type: string |
| serialNumbers | No | Type: arrayExample: |
| serialNumbers[] | Yes | Type: string |
| clientdata | No | Type: object |
| metadata | No | Type: unknown |
Default payloads
Path params
json
{}Query
json
{}Body
json
{
"name": "string",
"type": "string",
"relation": "string",
"unit": "string",
"priceStrategy": "string"
}Sample response
json
"<result>"